ARMA
           ARMA Net           製品とサポート           通信販売           会社概要           求人情報       
ARMA 3.0

ARMA 3.0 マニュアル

プレインストール PC

個人・小規模サイト
向けサポート
(パッケージ付属)


よくいただくお問い
合わせについて


対応ハードウェア情報

法人向け各種サービス

OSA-2006-24
 
 
1 サマリ
 
 
対象システム
ARMA2.0,ARMA2.1,ARMA2.2
パッケージ
freetype-ogl
概要
フォントファイルを介した任意のコード実行の可能性
危険度
1
 
 
 
2 詳細
 
 TrueType/OpenType ライブラリの freetype にセキュリティ脆弱性が指摘されています。これは freetype を使用したアプリケーションが、 細工されたフォントを読み込んだ場合、アプリケーションが停止したり、場合によっては任意のコードを実行させられてしまう可能性がある、という問題です。
 この問題のより詳しい情報については以下を参照してください。
 
「CVE-2006-0747」 Common Vulnerabilities and Exposures
 
「CVE-2006-1861」 Common Vulnerabilities and Exposures
 
「CVE-2006-2661」 Common Vulnerabilities and Exposures
 
 
 アップデート後の freetype-ogl 関連パッケージのバージョンは 2.1.3+2.1.4rc2-4o201 に上がります。
 
 
3 対処方法
 
 root になり以下のようにアップデートをおこなってください。
 
 
# apt-get update
# apt-get install libfreetype6
 

COPYRIGHT (C)2018, オモイカネ株式会社 (Omoikane Inc.)
E-mail: info@omoikane.co.jp